<?php

add_action('init','propanel_of_options');

if (!function_exists('propanel_of_options')) {
function propanel_of_options(){

//Theme Shortname
$shortname = "melody";


//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');


//Access the WordPress Pages via an Array
$tt_pages = array();
$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($tt_pages_obj as $tt_page) {
$tt_pages[$tt_page->ID] = $tt_page->post_name; }
$tt_pages_tmp = array_unshift($tt_pages, "Select a page:"); 


//Access the WordPress Categories via an Array
$tt_categories = array();  
$tt_categories_obj = get_categories('hide_empty=0');
foreach ($tt_categories_obj as $tt_cat) {
$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;}
$categories_tmp = array_unshift($tt_categories, "Select a category:");


//Sample Array for demo purposes
$sample_array = array("1","2","3","4","5");


//Sample Advanced Array - The actual value differs from what the user sees
$sample_advanced_array = array("image" => "The Image","post" => "The Post"); 


//Folder Paths for "type" => "images"
$sampleurl =  get_template_directory_uri() . '/admin/images/sample-layouts/';










/*-----------------------------------------------------------------------------------*/
/* Create The Custom Site Options Panel
/*-----------------------------------------------------------------------------------*/
$options = array(); // do not delete this line - sky will fall

$options[] = array( "name" => __('Top Menu','framework_localize'),
			"type" => "heading");

$options[] = array( "name" => __('اسم گزینه اول','framework_localize'),
			"desc" => "نام گزینه اول را وارد کنید.",
			"id" => $shortname."_nav1_name",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک گزینه اول','framework_localize'),
			"desc" => "لینک گزینه اول را وارد کنید.",
			"id" => $shortname."_nav1_link",
			"std" => "",
			"type" => "text");			

$options[] = array( "name" => __('اسم گزینه دوم','framework_localize'),
			"desc" => "نام گزینه دوم را وارد کنید.",
			"id" => $shortname."_nav2_name",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک گزینه دوم','framework_localize'),
			"desc" => "لینک گزینه دوم را وارد کنید.",
			"id" => $shortname."_nav2_link",
			"std" => "",
			"type" => "text");		
			
$options[] = array( "name" => __('اسم گزینه سوم','framework_localize'),
			"desc" => "نام گزینه سوم را وارد کنید.",
			"id" => $shortname."_nav3_name",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک گزینه سوم','framework_localize'),
			"desc" => "لینک گزینه سوم را وارد کنید.",
			"id" => $shortname."_nav3_link",
			"std" => "",
			"type" => "text");		
			
$options[] = array( "name" => __('اسم گزینه چهارم','framework_localize'),
			"desc" => "نام گزینه چهارم را وارد کنید.",
			"id" => $shortname."_nav4_name",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک گزینه چهارم','framework_localize'),
			"desc" => "لینک گزینه چهارم را وارد کنید.",
			"id" => $shortname."_nav4_link",
			"std" => "",
			"type" => "text");								


$options[] = array( "name" => __('Botton Menu','framework_localize'),
			"type" => "heading");
			

$options[] = array( "name" => __('اسم گزینه اول','framework_localize'),
			"desc" => "نام گزینه اول را وارد کنید.",
			"id" => $shortname."_bt1_name",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک گزینه اول','framework_localize'),
			"desc" => "لینک گزینه اول را وارد کنید.",
			"id" => $shortname."_bt1_link",
			"std" => "",
			"type" => "text");			

$options[] = array( "name" => __('اسم گزینه دوم','framework_localize'),
			"desc" => "نام گزینه دوم را وارد کنید.",
			"id" => $shortname."_bt2_name",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک گزینه دوم','framework_localize'),
			"desc" => "لینک گزینه دوم را وارد کنید.",
			"id" => $shortname."_bt2_link",
			"std" => "",
			"type" => "text");		
			
$options[] = array( "name" => __('اسم گزینه سوم','framework_localize'),
			"desc" => "نام گزینه سوم را وارد کنید.",
			"id" => $shortname."_bt3_name",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک گزینه سوم','framework_localize'),
			"desc" => "لینک گزینه سوم را وارد کنید.",
			"id" => $shortname."_bt3_link",
			"std" => "",
			"type" => "text");		
			
$options[] = array( "name" => __('اسم گزینه چهارم','framework_localize'),
			"desc" => "نام گزینه چهارم را وارد کنید.",
			"id" => $shortname."_bt4_name",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک گزینه چهارم','framework_localize'),
			"desc" => "لینک گزینه چهارم را وارد کنید.",
			"id" => $shortname."_bt1_link",
			"std" => "",
			"type" => "text");					

$options[] = array( "name" => __('Muic Menu','framework_localize'),
			"type" => "heading");
			
$options[] = array( "name" => __('نام منوی اول','framework_localize'),
			"desc" => "نام منوی اول را وارد کنید",
			"id" => $shortname."_mmenu1_name",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('اسم آهنگ اول منوی اول','framework_localize'),
			"desc" => "اسم آهنگ اول منوی اول را وارد کنید",
			"id" => $shortname."_mmenu1_music1",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک آهنگ اول منوی اول','framework_localize'),
			"desc" => "لینک آهنگ اول منوی اول را وارد کنید",
			"id" => $shortname."_mmenu1_link1",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('اسم آهنگ دوم منوی اول','framework_localize'),
			"desc" => "اسم آهنگ دوم منوی اول را وارد کنید",
			"id" => $shortname."_mmenu1_music2",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک آهنگ دوم منوی اول','framework_localize'),
			"desc" => "لینک آهنگ دوم منوی اول را وارد کنید",
			"id" => $shortname."_mmenu1_link2",
			"std" => "",
			"type" => "text");	
			
$options[] = array( "name" => __('اسم آهنگ سوم منوی اول','framework_localize'),
			"desc" => "اسم آهنگ سوم منوی اول را وارد کنید",
			"id" => $shortname."_mmenu1_music3",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک آهنگ سوم منوی اول','framework_localize'),
			"desc" => "لینک آهنگ سوم منوی اول را وارد کنید",
			"id" => $shortname."_mmenu1_link3",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('اسم آهنگ چهارم منوی اول','framework_localize'),
			"desc" => "اسم آهنگ چهارم منوی اول را وارد کنید",
			"id" => $shortname."_mmenu1_music4",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک آهنگ چهارم منوی اول','framework_localize'),
			"desc" => "لینک آهنگ چهارم منوی اول را وارد کنید",
			"id" => $shortname."_mmenu1_link4",
			"std" => "",
			"type" => "text");	
			
			

$options[] = array( "name" => __('نام منوی دوم','framework_localize'),
			"desc" => "نام منوی دوم را وارد کنید",
			"id" => $shortname."_mmenu2_name",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('اسم آهنگ اول منوی دوم','framework_localize'),
			"desc" => "اسم آهنگ اول منوی دوم را وارد کنید",
			"id" => $shortname."_mmenu2_music1",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک آهنگ اول منوی دوم','framework_localize'),
			"desc" => "لینک آهنگ اول منوی دوم را وارد کنید",
			"id" => $shortname."_mmenu2_link1",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('اسم آهنگ دوم منوی دوم','framework_localize'),
			"desc" => "اسم آهنگ دوم منوی دوم را وارد کنید",
			"id" => $shortname."_mmenu2_music2",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک آهنگ دوم منوی دوم','framework_localize'),
			"desc" => "لینک آهنگ دوم منوی دوم را وارد کنید",
			"id" => $shortname."_mmenu2_link2",
			"std" => "",
			"type" => "text");	
			
$options[] = array( "name" => __('اسم آهنگ سوم منوی دوم','framework_localize'),
			"desc" => "اسم آهنگ سوم منوی دوم را وارد کنید",
			"id" => $shortname."_mmenu2_music3",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک آهنگ سوم منوی دوم','framework_localize'),
			"desc" => "لینک آهنگ سوم منوی دوم را وارد کنید",
			"id" => $shortname."_mmenu2_link3",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('اسم آهنگ چهارم منوی دوم','framework_localize'),
			"desc" => "اسم آهنگ چهارم منوی دوم را وارد کنید",
			"id" => $shortname."_mmenu2_music4",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک آهنگ چهارم منوی دوم','framework_localize'),
			"desc" => "لینک آهنگ چهارم منوی دوم را وارد کنید",
			"id" => $shortname."_mmenu2_link4",
			"std" => "",
			"type" => "text");			
			
			

$options[] = array( "name" => __('نام منوی سوم','framework_localize'),
			"desc" => "نام منوی سوم را وارد کنید",
			"id" => $shortname."_mmenu3_name",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('اسم آهنگ اول منوی سوم','framework_localize'),
			"desc" => "اسم آهنگ اول منوی سوم را وارد کنید",
			"id" => $shortname."_mmenu3_music1",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک آهنگ اول منوی سوم','framework_localize'),
			"desc" => "لینک آهنگ اول منوی سوم را وارد کنید",
			"id" => $shortname."_mmenu3_link1",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('اسم آهنگ دوم منوی سوم','framework_localize'),
			"desc" => "اسم آهنگ دوم منوی سوم را وارد کنید",
			"id" => $shortname."_mmenu3_music2",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک آهنگ دوم منوی سوم','framework_localize'),
			"desc" => "لینک آهنگ دوم منوی سوم را وارد کنید",
			"id" => $shortname."_mmenu3_link2",
			"std" => "",
			"type" => "text");	
			
$options[] = array( "name" => __('اسم آهنگ سوم منوی سوم','framework_localize'),
			"desc" => "اسم آهنگ سوم منوی سوم را وارد کنید",
			"id" => $shortname."_mmenu3_music3",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک آهنگ سوم منوی سوم','framework_localize'),
			"desc" => "لینک آهنگ سوم منوی سوم را وارد کنید",
			"id" => $shortname."_mmenu3_link3",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('اسم آهنگ چهارم منوی سوم','framework_localize'),
			"desc" => "اسم آهنگ چهارم منوی سوم را وارد کنید",
			"id" => $shortname."_mmenu3_music4",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('لینک آهنگ چهارم منوی سوم','framework_localize'),
			"desc" => "لینک آهنگ چهارم منوی سوم را وارد کنید",
			"id" => $shortname."_mmenu3_link4",
			"std" => "",
			"type" => "text");						
																					


$options[] = array( "name" => __('Tarin ha','framework_localize'),
			"type" => "heading");
			
$options[] = array( "name" => __('اسم برتر هفته','framework_localize'),
			"desc" => "اسم برتر هفته را وارد کنید",
			"id" => $shortname."_bartarh_name",
			"std" => "",
			"type" => "text");			
			
$options[] = array( "name" => __('لینک برتر هفته','framework_localize'),
			"desc" => "لینک برتر هفته را وارد کنید",
			"id" => $shortname."_bartarh_link",
			"std" => "",
			"type" => "text");	

$options[] = array( "name" => __('عکس برتر هفته','framework_localize'),
			"desc" => "آدرس عکس برتر هفته را وارد کنید",
			"id" => $shortname."_bartarh_image",
			"std" => "",
			"type" => "text");				
			
$options[] = array( "name" => __('اسم اخبار داغ','framework_localize'),
			"desc" => "اسم اخبار داغ را وارد کنید",
			"id" => $shortname."_akhbard_name",
			"std" => "",
			"type" => "text");			
			
$options[] = array( "name" => __('لینک اخبار داغ','framework_localize'),
			"desc" => "لینک اخبار داغ را وارد کنید",
			"id" => $shortname."_akhbard_link",
			"std" => "",
			"type" => "text");

$options[] = array( "name" => __('عکس اخبار داغ','framework_localize'),
			"desc" => "عکس اخبار داغ را وارد کنید",
			"id" => $shortname."_akhbard_image",
			"std" => "",
			"type" => "text");		
			
			
			
$options[] = array( "name" => __('اسم موزیک ویدئو','framework_localize'),
			"desc" => "اسم موزیک ویدئو را وارد کنید",
			"id" => $shortname."_mvideo_name",
			"std" => "",
			"type" => "text");			
			
$options[] = array( "name" => __('لینک موزیک ویدئو','framework_localize'),
			"desc" => "لینک موزیک ویدئو را وارد کنید",
			"id" => $shortname."_mvideo_link",
			"std" => "",
			"type" => "text");

$options[] = array( "name" => __('عکس موزیک ویدئو','framework_localize'),
			"desc" => "عکس موزیک ویدئو را وارد کنید",
			"id" => $shortname."_mvideo_image",
			"std" => "",
			"type" => "text");	
			
			
			
$options[] = array( "name" => __('اسم فیلم برتر','framework_localize'),
			"desc" => "اسم فیلم برتر را وارد کنید",
			"id" => $shortname."_fbartar_name",
			"std" => "",
			"type" => "text");			
			
$options[] = array( "name" => __('لینک فیلم برتر','framework_localize'),
			"desc" => "لینک فیلم برتر را وارد کنید",
			"id" => $shortname."_fbartar_link",
			"std" => "",
			"type" => "text");

$options[] = array( "name" => __('عکس فیلم برتر','framework_localize'),
			"desc" => "عکس فیلم برتر را وارد کنید",
			"id" => $shortname."_fbartar_image",
			"std" => "",
			"type" => "text");									
			
			
$options[] = array( "name" => __('Mahboob Tarinha','framework_localize'),
			"type" => "heading");
			
$options[] = array( "name" => __('اسم محبوب شماره 1','framework_localize'),
			"desc" => "اسم محبوب شماره 1 را وارد کنید",
			"id" => $shortname."_mah1_name",
			"std" => "",
			"type" => "text");			
			
$options[] = array( "name" => __('لینک محبوب شماره 1','framework_localize'),
			"desc" => "لینک محبوب شماره 1 را وارد کنید",
			"id" => $shortname."_mah1_link",
			"std" => "",
			"type" => "text");

$options[] = array( "name" => __('عکس محبوب شماره 1','framework_localize'),
			"desc" => "عکس محبوب شماره 1 را وارد کنید",
			"id" => $shortname."_mah1_image",
			"std" => "",
			"type" => "text");		
			
			
$options[] = array( "name" => __('اسم محبوب شماره 2','framework_localize'),
			"desc" => "اسم محبوب شماره 2 را وارد کنید",
			"id" => $shortname."_mah2_name",
			"std" => "",
			"type" => "text");			
			
$options[] = array( "name" => __('لینک محبوب شماره 2','framework_localize'),
			"desc" => "لینک محبوب شماره 2 را وارد کنید",
			"id" => $shortname."_mah2_link",
			"std" => "",
			"type" => "text");

$options[] = array( "name" => __('عکس محبوب شماره 2','framework_localize'),
			"desc" => "عکس محبوب شماره 2 را وارد کنید",
			"id" => $shortname."_mah2_image",
			"std" => "",
			"type" => "text");			
			
			
			
$options[] = array( "name" => __('Sayer Tanzimat','framework_localize'),
			"type" => "heading");	
			
			
$options[] = array( "name" => __('آیدی یاهو','framework_localize'),
			"desc" => "آیدی یاهو خود را وارد کنید",
			"id" => $shortname."_yahoo",
			"std" => "",
			"type" => "text");
			
			
$options[] = array( "name" => __('متن اطلاعیه','framework_localize'),
			"desc" => "متن اطلاعیه را وارد کنید",
			"id" => $shortname."_tavajoh",
			"std" => "",
			"type" => "text");			
			
			
$options[] = array( "name" => __('درباره ما','framework_localize'),
			"desc" => "چند خطی درباره سایتتان بنویسید",
			"id" => $shortname."_about",
			"std" => "",
			"type" => "textarea");												
						
/* Option Page 1 - All Options 	
$options[] = array( "name" => __('All Options','framework_localize'),
			"type" => "heading");
			
			
$options[] = array( "name" => __('Attention','framework_localize'),
			"desc" => "",
			"id" => $shortname."_sample_callout",
			"std" => "This is a callout box. This can be used to inform your clients about something important.",
			"type" => "info");
			
			
$options[] = array( "name" => __('Text Field','framework_localize'),
			"desc" => "This is a text field.",
			"id" => $shortname."_sample_text_field",
			"std" => "",
			"type" => "text");
			


$options[] = array( "name" => __('Textarea','framework_localize'),
			"desc" => "This is a textarea.",
			"id" => $shortname."_sample_text_area",
			"std" => "",
			"type" => "textarea");
			

$options[] = array( "name" => __('Image Upload','framework_localize'),
			"desc" => __('This is an image upload field.','framework_localize'),
			"id" => $shortname."_sample_image_upload",
			"std" => "",
			"type" => "upload");
					
			
$options[] = array( "name" => __('Checkbox','framework_localize'),
			"desc" => __('This is a checkbox.','framework_localize'),
			"id" => $shortname."_sample_checkbox",
			"std" => "true",
			"type" => "checkbox");
			
			
$options[] = array( "name" => __('Dropdown List','framework_localize'),
			"desc" => __('This is a dropdown list.','framework_localize'),
			"id" => $shortname."_sample_dropdown",
			"std" => "1",
			"type" => "select",
			"options" => $sample_array);
			
			
$options[] = array( "name" => __('Radio Buttons','framework_localize'),
			"desc" => __('These are radio buttons.','framework_localize'),
			"id" => $shortname."_sample_radio",
			"std" => "1",
			"type" => "radio",
			"options" => array(
				'Red Radio' => 'Red',
				'Green Radio' => 'Green',
				'Blue Radio' => 'Blue'
				));
		
			
$options[] = array( "name" => __('Image Radio Buttons','framework_localize'),
			"desc" => __('Spice up your radio buttons by using custom images.','framework_localize'),
			"id" => $shortname."_sample_image_radio",
			"std" => "option1",
			"type" => "images",
			"options" => array(
				'option1' => $sampleurl . 'sample-layout-1.png',
				'option2' => $sampleurl . 'sample-layout-2.png',
				'option3' => $sampleurl . 'sample-layout-3.png'
				));
						
				
$options[] = array( "name" => __('Color Picker','framework_localize'),
			"desc" => __('This is a color picker.','framework_localize'),
			"id" => $shortname."_sample_color_picker",
			"std" => "",
			"type" => "color");	
					

$options[] = array( "name" => __('Wordpress Page','framework_localize'),
			"desc" => __('This displays a list of every page on your website.','framework_localize'),
			"id" => $shortname."_sample_wp_pages",
			"std" => "1",
			"type" => "select",
			"options" => $tt_pages);
			
			
$options[] = array( "name" => __('Wordpress Category','framework_localize'),
			"desc" => __('This displays a list of every category on your website.','framework_localize'),
			"id" => $shortname."_sample_wp_category",
			"std" => "1",
			"type" => "select",
			"options" => $tt_categories);
			
			*/
			
			
					
					
					
					


				
										
					


update_option('of_template',$options); 					  
update_option('of_shortname',$shortname);

}
}
?>